commit:     c3d0132cd059c773f7ae33f2dc013b31dab371cb
Author:     Timo Rothenpieler <btbn <AT> btbn <DOT> de>
AuthorDate: Fri Jul 24 19:22:28 2020 +0000
Commit:     Alexys Jacob <ultrabug <AT> gentoo <DOT> org>
CommitDate: Wed Oct 21 12:58:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c3d0132c

sys-cluster/resource-agents: bump for 4.6.1

Signed-off-by: Timo Rothenpieler <btbn <AT> btbn.de>
Signed-off-by: Alexys Jacob <ultrabug <AT> gentoo.org>

 sys-cluster/resource-agents/Manifest               |  1 +
 .../resource-agents/files/4.6.1-configure.patch    | 31 +++++++++++
 .../resource-agents/resource-agents-4.6.1.ebuild   | 61 ++++++++++++++++++++++
 3 files changed, 93 insertions(+)

diff --git a/sys-cluster/resource-agents/Manifest 
b/sys-cluster/resource-agents/Manifest
index 425405b7fa7..ab38975e5ff 100644
--- a/sys-cluster/resource-agents/Manifest
+++ b/sys-cluster/resource-agents/Manifest
@@ -1,2 +1,3 @@
 DIST resource-agents-3.9.6.tar.gz 617790 BLAKE2B 
a158743dca379dd4bbc9fe1cf784bca3f7cee1f930e9867734fae86ae8c8b39942b5b9a244f3a3efdbbcdb2cdc3718714062d0e7954645bca5f0eb1a4fd7ca38
 SHA512 
b4ca8b8cc3e09508847af3f1cf50cef946f374eae4ee7903700ba49ef7a3357b1ceaa26dca0616feaa79fb290713f18939dda42ee92a5a7bca2fab807fc77901
 DIST resource-agents-4.0.1.tar.gz 659123 BLAKE2B 
47b976db2db2f82b2f5c300dbaa0e794d16f91425aa7641c18915cc2cc499af00a49d9990085ac069602d1bf6b8cf1ff5b477236254d16d15a0c48c6649a0350
 SHA512 
9c92bca7775e3c47c6463587fd7eea89f019997cfab0361ef37ee97192604d3b3d0dcd1cb70f774e01689b803dc856af170bd10e86a9d4824597293c264735d5
+DIST resource-agents-4.6.1.tar.gz 799688 BLAKE2B 
a276dbd17d6b91926f2a040d847e2ca499fe36cf30a0413d2bdffccd3bd8cbe7022ab29244524d5f7f6b91c7513a56b40de5f4bb425e65d4f83710445da91231
 SHA512 
ccd4a86b5a4da636248badfb81808fa4c96f08dbce9dc8d9322b594cb6028f74b33fd9cacdbee65f49ca05f7dca04671e247f64b767df5cd0b7d19539f52ad5e

diff --git a/sys-cluster/resource-agents/files/4.6.1-configure.patch 
b/sys-cluster/resource-agents/files/4.6.1-configure.patch
new file mode 100644
index 00000000000..5764fb6a520
--- /dev/null
+++ b/sys-cluster/resource-agents/files/4.6.1-configure.patch
@@ -0,0 +1,31 @@
+diff -Naur resource-agents-4.6.1.orig/configure.ac 
resource-agents-4.6.1/configure.ac
+--- resource-agents-4.6.1.orig/configure.ac    2020-07-13 20:19:50.531288513 
+0200
++++ resource-agents-4.6.1/configure.ac 2020-07-13 20:22:23.558906321 +0200
+@@ -487,11 +487,13 @@
+ if test x"${BASH_SHELL}" = x""; then
+    AC_MSG_ERROR(You need bash installed in order to build ${PACKAGE})
+ fi
+-AC_PATH_PROGS(XSLTPROC, xsltproc)
+-AM_CONDITIONAL(BUILD_DOC, test "x$XSLTPROC" != "x" )
+-if test "x$XSLTPROC" = "x"; then
+-   AC_MSG_WARN([xsltproc not installed, unable to (re-)build manual pages])
+-fi
++
++AC_ARG_ENABLE([doc],
++  AS_HELP_STRING([--enable-doc],[Build documentation]))
++AS_IF([test "x$enable_doc" = "xyes"], [
++  AC_PATH_PROGS(XSLTPROC, xsltproc)
++])
++AM_CONDITIONAL([BUILD_DOC], [test "x$enable_doc" = "xyes"] )
+ AC_SUBST(XSLTPROC)
+ AC_PATH_PROGS(XMLCATALOG, xmlcatalog)
+ AC_PATH_PROGS(SSH, ssh, /usr/bin/ssh)
+@@ -859,8 +861,6 @@
+         CFLAGS="$CFLAGS -g"
+       enable_fatal_warnings=no
+ else
+-        CFLAGS="$CFLAGS -ggdb3"
+-
+       # We had to eliminate -Wnested-externs because of libtool changes
+       # Also remove -Waggregate-return because we use one libnet
+       # call which returns a struct

diff --git a/sys-cluster/resource-agents/resource-agents-4.6.1.ebuild 
b/sys-cluster/resource-agents/resource-agents-4.6.1.ebuild
new file mode 100644
index 00000000000..2b930764a87
--- /dev/null
+++ b/sys-cluster/resource-agents/resource-agents-4.6.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="${P/resource-}"
+inherit autotools eutils multilib
+
+DESCRIPTION="Resources pack for Heartbeat / Pacemaker"
+HOMEPAGE="http://www.linux-ha.org/wiki/Resource_Agents";
+SRC_URI="https://github.com/ClusterLabs/resource-agents/archive/v${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~x86"
+IUSE="doc libnet rgmanager"
+
+RDEPEND="sys-apps/iproute2
+       >=sys-cluster/cluster-glue-1.0.12-r1
+       libnet? ( net-libs/libnet:1.1 )"
+DEPEND="${RDEPEND}
+       doc? (
+               dev-libs/libxslt
+               app-text/docbook-xsl-stylesheets
+       )"
+
+PATCHES=(
+       "${FILESDIR}/4.6.1-configure.patch"
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --disable-fatal-warnings \
+               --localstatedir=/var \
+               --with-ocf-root=/usr/$(get_libdir)/ocf \
+               --with-rsctmpdir=/run/resource-agents \
+               $(use_enable doc) \
+               $(use_enable libnet)
+}
+
+src_install() {
+       default
+       rm -rf "${D}/usr/$(get_libdir)/ocf/resource.d/redhat" || die
+       rm -rf "${D}"/etc/init.d/ || die
+       rm -rf "${D}"{,/var}/run || die
+       use rgmanager || rm -rf "${D}"/usr/share/cluster/ "${D}"/var/
+}
+
+pkg_postinst() {
+       elog "To use Resource Agents installed in 
/usr/$(get_libdir)/ocf/resource.d"
+       elog "you have to emerge required runtime dependencies manually."
+       elog ""
+       elog "Description and dependencies of all Agents can be found on"
+       elog "http://www.linux-ha.org/wiki/Resource_Agents";
+       elog "or in the documentation of this package."
+}

Reply via email to